#include "darwin_robot.h"
#include "darwin_robot_exceptions.h"

#include <iostream>

std::string robot_device="A603LOBS";

int main(int argc, char *argv[])
{
  int i=0,num_v1_servos,num_v2_servos;
  std::vector<double> angles;

  try{
    CDarwinRobot darwin("Darwin",robot_device,1000000,0xC0);
    darwin.mm_get_num_servos(&num_v1_servos,&num_v2_servos);
    std::cout << "Found " << num_v1_servos << " v1 servos and " << num_v2_servos << " v2 servos" << std::endl;
    darwin.mm_enable_power();
    darwin.mm_enable_servo(24);
    darwin.mm_assign_module(24,DARWIN_MM_GRIPPER);
    darwin.mm_enable_servo(21);
    darwin.mm_assign_module(21,DARWIN_MM_GRIPPER);
    darwin.mm_start();
    darwin.gripper_open(LEFT_GRIPPER);
    sleep(2);
    darwin.gripper_close(LEFT_GRIPPER);
    sleep(2);
    darwin.gripper_open(RIGHT_GRIPPER);
    sleep(2);
    darwin.gripper_close(RIGHT_GRIPPER);
    sleep(2);
    darwin.mm_stop();
    darwin.mm_disable_power();
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
