#include "darwin_robot.h"
#include "darwin_robot_exceptions.h"

#include <iostream>

std::string robot_device="A603LOBS";

int main(int argc, char *argv[])
{
  int num_v1_servos,num_v2_servos;
  std::vector<int> servos;
  std::vector<double> angles,speeds,accels;

  try{
    CDarwinRobot darwin("Darwin",robot_device,1000000,0xC0);

    darwin.mm_get_num_servos(&num_v1_servos,&num_v2_servos);
    std::cout << "Found " << num_v1_servos << " v1 servos and " << num_v2_servos << " v2 servos" << std::endl;
    darwin.mm_enable_power();
    sleep(1);
    darwin.head_tracking_set_pan_pid(0.04,0.0,0.0);
    darwin.head_tracking_set_tilt_pid(0.04,0.0,0.0);
    darwin.mm_enable_servo(20);
    darwin.mm_assign_module(20,DARWIN_MM_HEAD);
    darwin.mm_start();
    darwin.head_tracking_set_target(0.0,90.0);
    darwin.head_tracking_start();
    sleep(10);
    darwin.head_tracking_set_target(0.0,0.0);
    sleep(10);
    darwin.mm_stop();
    darwin.mm_disable_power();
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
